DEV: enforces no-var (#74)

DEV: enforces no-var (#74)

diff --git a/assets/javascripts/discourse/components/query-result.js.es6 b/assets/javascripts/discourse/components/query-result.js.es6
index c8dc39d..5d15edc 100644
--- a/assets/javascripts/discourse/components/query-result.js.es6
+++ b/assets/javascripts/discourse/components/query-result.js.es6
@@ -70,7 +70,7 @@ const QueryResultComponent = Ember.Component.extend({
   @computed("params.[]")
   parameterAry(params) {
     let arr = [];
-    for (var key in params) {
+    for (let key in params) {
       if (params.hasOwnProperty(key)) {
         arr.push({ key, value: params[key] });
       }
diff --git a/package.json b/package.json
index 93fcb8b..b11caf7 100644
--- a/package.json
+++ b/package.json
@@ -1,5 +1,5 @@
 {
   "dependencies": {
-    "eslint-config-discourse": "^1.1.4"
+    "eslint-config-discourse": "^1.1.6"
   }
 }
diff --git a/yarn.lock b/yarn.lock
index 3f25bf0..1b72a2c 100644
--- a/yarn.lock
+++ b/yarn.lock
@@ -498,10 +498,10 @@ escape-string-regexp@^1.0.5:
   resolved "https://registry.yarnpkg.com/escape-string-regexp/-/escape-string-regexp-1.0.5.tgz#1b61c0562190a8dff6ae3bb2cf0200ca130b86d4"
   integrity sha1-G2HAViGQqN/2rjuyzwIAyhMLhtQ=
 
-eslint-config-discourse@^1.1.4:
-  version "1.1.4"
-  resolved "https://registry.yarnpkg.com/eslint-config-discourse/-/eslint-config-discourse-1.1.4.tgz#cff9f93f17dfcefe4852bb417f747c28444b4bd7"
-  integrity sha512-4Yilkkmdkz/LdEiQCbng6evI2w33HDs9lXgiae0DutjTboqs/TauQXySusxHagKr9GFtefPOxovzNKwD2s1ggw==
+eslint-config-discourse@^1.1.6:
+  version "1.1.6"
+  resolved "https://registry.yarnpkg.com/eslint-config-discourse/-/eslint-config-discourse-1.1.6.tgz#3080da848de09a0e533076b817d9cf865df7d571"
+  integrity sha512-K14qBtyJJeL/5njtksnSgViuTZWk3hjO1kOTqV2iTpukeRlItfJpeOpUhkwm08SBDYEKCH2Ahn/XYWR0RZ75zA==
   dependencies:
     babel-eslint "^10.1.0"
     ember-template-lint "^2.11.0"
@@ -511,7 +511,7 @@ eslint-config-discourse@^1.1.4:
     eslint-plugin-ember "^6.10.0"
     eslint-plugin-lodash "^7.1.0"
     eslint-plugin-node "^8.0.0"
-    prettier "^2.1.1"
+    prettier "2.1.2"
 
 eslint-plugin-discourse-ember@latest:
   version "0.0.3"
@@ -1204,7 +1204,7 @@ prelude-ls@~1.1.2:
   resolved "https://registry.yarnpkg.com/prelude-ls/-/prelude-ls-1.1.2.tgz#21932a549f5e52ffd9a827f570e04be62a97da54"
   integrity sha1-IZMqVJ9eUv/ZqCf1cOBL5iqX2lQ=
 
-prettier@^2.1.1:
+prettier@2.1.2:
   version "2.1.2"
   resolved "https://registry.yarnpkg.com/prettier/-/prettier-2.1.2.tgz#3050700dae2e4c8b67c4c3f666cdb8af405e1ce5"
   integrity sha512-16c7K+x4qVlJg9rEbXl7HEGmQyZlG4R9AgP+oHKRMsMsuk8s+ATStlf1NpDqyBI1HpVyfjLOeMhH2LvuNvV5Vg==

GitHub sha: 94c1ef21